%define version 1.9.2
%define name rfbdrake

Summary:	Remote Frame Buffer configuration/launcher tool 
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Source0:	%{name}-%{version}.tar.lzma
License:	GPL
URL:		http://people.mandrakesoft.com/~daouda/mandrake/rfbdrake.html
Group:		System/Configuration/Networking
Requires:	drakxtools, perl-Gtk2 
Requires:   	vnc, rfb, rdesktop
BuildRequires: perl-MDK-Common-devel
BuildArch:  noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
rfbdrake is a tool to setup a client/server remote framebuffer
for virtual network computing. It use vncviewer backend at the
client side and x0rfbserver for the server side.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install 

# fix symlink due to lack of DESTDIR in this makefile
rm -f %{buildroot}%{_bindir}/drakremote
ln -s %{_bindir}/rfbdrake %{buildroot}%{_bindir}/drakremote

#install lang
%{find_lang} rfbdrake

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Virtual Network Connection
Comment=A remote frame buffer tool
Exec=%{_bindir}/%{name}
Icon=%{name}
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-Internet-RemoteAccess;Network;RemoteAccess;Dialup
EOF

#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f rfbdrake.lang
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/%{name}
%{_bindir}/drakremote
%{_datadir}/rfbdrake
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Wed Jan 13 2010 Texstar <texstar at gmail.com> 1.9.2-2pclos2010
- rebuild for 2010

